
#include "wx/wx.h"

class MyApp : public wxApp {
public:
  bool OnInit();
};

class MyDialog : public wxDialog {
public:
  MyDialog();
  void OnButton1();
  void OnButton2();
  void OnRadio1();
  void OnRadio2();
  void OnRadio3();
  void OnCheck1();
private:
  wxTextCtrl *text;
  wxCheckBox *check;
  DECLARE_EVENT_TABLE()
};

enum { BUTTON1, BUTTON2, CHECK1, TEXT1, RADIO1, RADIO2, RADIO3 };

IMPLEMENT_APP(MyApp)

BEGIN_EVENT_TABLE(MyDialog, wxDialog)
  EVT_BUTTON(BUTTON1, MyDialog::OnButton1)
  EVT_BUTTON(BUTTON2, MyDialog::OnButton2)
  EVT_RADIOBUTTON(RADIO1, MyDialog::OnRadio1)
  EVT_RADIOBUTTON(RADIO2, MyDialog::OnRadio2)
  EVT_RADIOBUTTON(RADIO3, MyDialog::OnRadio3)
  EVT_CHECKBOX(CHECK1, MyDialog::OnCheck1)
END_EVENT_TABLE()

bool MyApp::OnInit() {
  MyDialog dialog;
  dialog.ShowModal();
}

MyDialog::MyDialog() : wxDialog(NULL, -1, "window1", wxPoint(-1,-1), wxSize(240,150), wxDEFAULT_DIALOG_STYLE|wxDIALOG_MODAL) {
  text = new wxTextCtrl(this, TEXT1, "", wxPoint(10, 10), wxSize(220, -1), 0);
  check = new wxCheckBox(this, CHECK1, "checkbutton1",wxPoint(100,115));
  new wxButton(this, BUTTON1, "button1",wxPoint(10,45));
  new wxButton(this, BUTTON2, "button2",wxPoint(10,80));
  new wxRadioButton(this, RADIO1, "radiobutton1", wxPoint(100,40));
  new wxRadioButton(this, RADIO2, "radiobutton2", wxPoint(100,65));
  new wxRadioButton(this, RADIO3, "radiobutton3", wxPoint(100,90));
}

void MyDialog::OnButton1() { text->SetValue("button 1"); }
void MyDialog::OnButton2() { text->SetValue("button 2"); }
void MyDialog::OnRadio1()  { text->SetValue("radio:1");  }
void MyDialog::OnRadio2()  { text->SetValue("radio:2");  }
void MyDialog::OnRadio3()  { text->SetValue("radio:3");  }
void MyDialog::OnCheck1()  { text->SetValue(check->GetValue() ? "checkbutton:on" : "checkbutton:off"); }
