
#include "gallery.h"

#include <qlineedit.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qlayout.h>
#include <qpushbutton.h>

Gallery::Gallery(): QWidget( 0, 0 ) {
    QVBoxLayout *main = new QVBoxLayout(this);
    QHBoxLayout *bottom = new QHBoxLayout;
    QVBoxLayout *left = new QVBoxLayout;
    QVBoxLayout *right = new QVBoxLayout;

    main->setMargin(5);
    
    lined1 = new QLineEdit(this);
    main->addSpacing(5);
    main->addWidget(lined1);
    main->addSpacing(5);
    main->addLayout(bottom);
    main->addSpacing(5);

    bottom->addSpacing(5);
    bottom->addLayout(left);
    bottom->addSpacing(5);
    bottom->addLayout(right);
    bottom->addSpacing(5);
    
    QPushButton *button1 = new QPushButton("button1", this );
    left->addWidget(button1);
    left->addSpacing(5);
    connect(button1, SIGNAL(clicked()), this, SLOT(button1()) );
    QPushButton *button2 = new QPushButton("button2", this );
    left->addWidget(button2);
    connect(button2, SIGNAL(clicked()), this, SLOT(button2()) );
	left->addStretch(1);
    
    QButtonGroup *bg = new QButtonGroup(0);

    QRadioButton *radio = new QRadioButton("radiobutton1",this);
    bg->insert(radio);
    right->addWidget(radio);
    connect(radio, SIGNAL(clicked()), this, SLOT(radio1()) );
    right->addSpacing(5);

    radio = new QRadioButton("radiobutton2",this);
    bg->insert(radio);
    right->addWidget(radio);
    connect(radio, SIGNAL(clicked()), this, SLOT(radio2()) );
    right->addSpacing(5);

    radio = new QRadioButton("radiobutton3",this);
    bg->insert(radio);
    right->addWidget(radio);
    connect(radio, SIGNAL(clicked()), this, SLOT(radio3()) );
    right->addSpacing(5);

    QCheckBox *cb = new QCheckBox("checkbutton1", this );
    connect( cb, SIGNAL(toggled(bool)), this, SLOT(checkbox(bool)) );
    right->addWidget(cb);

    return;
}

void Gallery::button1() { lined1->setText("button 1"); }
void Gallery::button2() { lined1->setText("button 2"); }
void Gallery::radio1() { lined1->setText("radio:1"); }
void Gallery::radio2() { lined1->setText("radio:2"); }
void Gallery::radio3() { lined1->setText("radio:3"); }
void Gallery::checkbox(bool selected) {
  if (selected) lined1->setText("checkbutton:on");
  else lined1->setText("checkbutton:off");
}

Gallery::~Gallery() {}
